Error
A valid request URL is required to generate request examples{
"item": {
"id": "cd4ce4e3-0208-4b10-b346-25f235214e4f",
"agencyId": "BLD1234567_production",
"planId": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016",
"url": "https://mydomain.com/webhooks",
"headers": {
"Authorization": "Bearer your_token",
"X-Custom-Header": "custom_value"
},
"withPlan": true,
"active": false,
"createdAt": "2019-11-15T12:34:56Z",
"updatedAt": "2019-11-15T12:34:56Z",
"expiresAt": "2019-11-15T12:34:56Z"
},
"agencyId": "BLD1234567_production",
"planId": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016"
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Webhook
Create a new webhook on a given plan
POST
/
plans
/
{planId}
/
webhooks
Error
A valid request URL is required to generate request examples{
"item": {
"id": "cd4ce4e3-0208-4b10-b346-25f235214e4f",
"agencyId": "BLD1234567_production",
"planId": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016",
"url": "https://mydomain.com/webhooks",
"headers": {
"Authorization": "Bearer your_token",
"X-Custom-Header": "custom_value"
},
"withPlan": true,
"active": false,
"createdAt": "2019-11-15T12:34:56Z",
"updatedAt": "2019-11-15T12:34:56Z",
"expiresAt": "2019-11-15T12:34:56Z"
},
"agencyId": "BLD1234567_production",
"planId": "4cbd0ab8-282c-4b30-b981-29e1ed8a2016"
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}{
"errors": [
{
"code": "<string>",
"message": "<string>",
"properties": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The plan UUID. Universally Unique Identifier.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
"cd4ce4e3-0208-4b10-b346-25f235214e4f"
Body
application/json
The webhook for creation.
The secure webhook URL (must be https).
Example:
"https://mydomain.com/webhooks"
A map of header key-value pairs.
Show child attributes
Show child attributes
Example:
{
"Authorization": "Bearer your_token",
"X-Custom-Header": "custom_value"
}
Specifies whether we should also provide the plan in the webhook's payload.
Example:
true
Defines the webhook's time to live in iso 8601 duration format. The value should be at least 30 minutes and at most 14 days.
Pattern:
^P(\d+Y)?(\d+M)?(\d+W)?(\d+D)?(T(\d+H)?(\d+M)?(\d+S)?)?$Example:
"PT1H"
Response
The created webhook.
Show child attributes
Show child attributes
The agency id.
Pattern:
^BLD[0-9]{7}_[a-zA-Z0-9-._~:@!$,]+$Example:
"BLD1234567_production"
The plan id.
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Example:
"4cbd0ab8-282c-4b30-b981-29e1ed8a2016"

